# Generated by Django 2.2.6 on 2019-11-16 16:43

import castellum.recruitment.models.attributesets
import castellum.utils.fields
import django.contrib.postgres.fields.jsonb
import django.core.serializers.json
import django.core.validators
from django.db import migrations, models
import parler.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AttributeCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name': 'Attribute category',
                'verbose_name_plural': 'Attribute categories',
                'ordering': ['order'],
            },
            bases=(castellum.recruitment.models.attributesets.ImportMixin, parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AttributeCategoryTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('label', models.CharField(max_length=64)),
            ],
            options={
                'verbose_name': 'Attribute category Translation',
                'db_table': 'recruitment_attributecategory_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AttributeChoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField(default=0)),
            ],
            options={
                'ordering': ['order'],
            },
            bases=(castellum.recruitment.models.attributesets.ImportMixin, parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AttributeChoiceTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('label', models.CharField(max_length=64)),
            ],
            options={
                'verbose_name': 'attribute choice Translation',
                'db_table': 'recruitment_attributechoice_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AttributeDescription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field_type', models.CharField(choices=[('CharField', 'CharField'), ('ChoiceField', 'ChoiceField'), ('MultipleChoiceField', 'MultipleChoiceField'), ('OrderedChoiceField', 'OrderedChoiceField'), ('IntegerField', 'IntegerField'), ('BooleanField', 'BooleanField'), ('DateField', 'DateField'), ('AgeField', 'AgeField')], max_length=64)),
                ('privacy_level_read', models.PositiveSmallIntegerField(default=0, validators=[django.core.validators.MaxValueValidator(2)])),
                ('privacy_level_write', models.PositiveSmallIntegerField(default=0, validators=[django.core.validators.MaxValueValidator(2)])),
                ('order', models.IntegerField(default=0)),
                ('statistics_rank', models.CharField(blank=True, choices=[('primary', 'primary'), ('secondary', 'secondary')], max_length=16, null=True, unique=True)),
            ],
            options={
                'ordering': ['order'],
            },
            bases=(castellum.recruitment.models.attributesets.ImportMixin, parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AttributeDescriptionTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('label', models.CharField(max_length=64)),
                ('_filter_label', models.CharField(blank=True, default='', max_length=64)),
                ('help_text', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'attribute description Translation',
                'db_table': 'recruitment_attributedescription_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AttributeSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateField(auto_now=True, verbose_name='updated at')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(encoder=django.core.serializers.json.DjangoJSONEncoder)),
            ],
            options={
                'verbose_name': 'Attribute set',
                'verbose_name_plural': 'Attribute sets',
            },
        ),
        migrations.CreateModel(
            name='MailBatch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime', models.DateTimeField(auto_now_add=True, verbose_name='Sent date')),
                ('contacted_size', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='ParticipationRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(choices=[(0, 'not contacted'), (1, 'not reached'), (2, 'unsuitable'), (3, 'invited'), (4, 'follow-up scheduled'), (5, 'awaiting response')], default=0, verbose_name='Status of participation request')),
                ('exclusion_criteria_checked', models.BooleanField(default=False, verbose_name='Subject may be suitable')),
                ('appointment', castellum.utils.fields.DateTimeField(blank=True, null=True, verbose_name='Appointment')),
            ],
            options={
                'verbose_name': 'Participation request',
                'verbose_name_plural': 'Participation requests',
                'permissions': (('view_participation_pseudonyms', 'Can view participation pseudonyms'),),
            },
        ),
        migrations.CreateModel(
            name='ParticipationRequestRevision',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(choices=[(0, 'not contacted'), (1, 'not reached'), (2, 'unsuitable'), (3, 'invited'), (4, 'follow-up scheduled'), (5, 'awaiting response')], default=0)),
                ('exclusion_criteria_checked', models.BooleanField()),
                ('appointment', castellum.utils.fields.DateTimeField(blank=True, null=True)),
                ('created_at', castellum.utils.fields.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='SubjectFilter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('operator', models.CharField(max_length=64)),
                ('value', models.TextField(editable=False)),
            ],
        ),
        migrations.CreateModel(
            name='SubjectFilterGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
    ]
