# Generated by Django 2.2.6 on 2019-11-16 16:43

import castellum.utils.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Consent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('info', models.CharField(max_length=128, verbose_name='Info')),
                ('file', castellum.utils.fields.RestrictedFileField(upload_to='consent/', verbose_name='File')),
            ],
            options={
                'get_latest_by': 'created_at',
            },
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateField(auto_now=True, verbose_name='updated at')),
                ('privacy_level', models.PositiveIntegerField(choices=[(0, '0 (regular)'), (1, '1 (increased)'), (2, '2 (high)')], default=0, verbose_name='Privacy level')),
                ('no_recruitment', models.BooleanField(default=False, verbose_name='Do not contact for recruitment')),
                ('to_be_deleted', models.DateTimeField(blank=True, null=True, verbose_name='To be deleted')),
                ('note_hard_of_hearing', models.BooleanField(default=False, verbose_name='Hard of hearing')),
                ('note_difficult_to_understand', models.BooleanField(default=False, verbose_name='Difficult to understand')),
                ('note_abusive_language', models.BooleanField(default=False, verbose_name='Abusive language')),
                ('not_available_until', castellum.utils.fields.DateTimeField(blank=True, null=True, verbose_name='not available until')),
            ],
            options={
                'verbose_name': 'Subject',
            },
        ),
        migrations.CreateModel(
            name='TimeSlot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hour', models.PositiveSmallIntegerField(verbose_name='hour')),
            ],
            options={
                'ordering': ['hour'],
            },
        ),
        migrations.CreateModel(
            name='SubjectNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.CharField(blank=True, max_length=128, verbose_name='Content')),
                ('subject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='subjects.Subject')),
            ],
        ),
        migrations.AddField(
            model_name='subject',
            name='availability_friday',
            field=models.ManyToManyField(blank=True, related_name='_subject_availability_friday_+', to='subjects.TimeSlot', verbose_name='Friday'),
        ),
        migrations.AddField(
            model_name='subject',
            name='availability_monday',
            field=models.ManyToManyField(blank=True, related_name='_subject_availability_monday_+', to='subjects.TimeSlot', verbose_name='Monday'),
        ),
        migrations.AddField(
            model_name='subject',
            name='availability_thursday',
            field=models.ManyToManyField(blank=True, related_name='_subject_availability_thursday_+', to='subjects.TimeSlot', verbose_name='Thursday'),
        ),
        migrations.AddField(
            model_name='subject',
            name='availability_tuesday',
            field=models.ManyToManyField(blank=True, related_name='_subject_availability_tuesday_+', to='subjects.TimeSlot', verbose_name='Tuesday'),
        ),
        migrations.AddField(
            model_name='subject',
            name='availability_wednesday',
            field=models.ManyToManyField(blank=True, related_name='_subject_availability_wednesday_+', to='subjects.TimeSlot', verbose_name='Wednesday'),
        ),
        migrations.CreateModel(
            name='ConsentConfirmation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('type', models.CharField(choices=[('online', 'Online form'), ('paper', 'Pen & Paper'), ('phone', 'Telephone')], max_length=64, verbose_name='Type')),
                ('status', models.CharField(choices=[('waiting', 'Waiting for confirmation'), ('confirmed', 'Confirmed')], max_length=64, verbose_name='Status')),
                ('revision', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='subjects.Consent')),
                ('subject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='subjects.Subject')),
            ],
            options={
                'verbose_name': 'Consent confirmation',
                'get_latest_by': 'revision__created_at',
            },
        ),
    ]
